curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetDocumentSet \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"documentSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetDocumentSet"
payload = { "documentSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({documentSetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetDocumentSet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"transloaditAssemblyId": "<string>",
"transloaditAssemblyError": "<string>",
"summary": [
"<string>"
],
"documents": [
{
"id": "<string>",
"contentType": "<string>",
"sizeBytes": "<string>",
"name": "<string>",
"originalUrl": "<string>",
"originalMd5": "<string>",
"nrOfPages": "<string>",
"thumbnailUrl": "<string>",
"pdfUrl": "<string>",
"pageImageUrls": [
"<string>"
],
"bucketName": "<string>",
"objectKey": "<string>",
"fingerprintSha256": "aSDinaTvuI8gbWludGxpZnk=",
"hasParsedMarkdown": true,
"failureReason": "<string>",
"failureMessage": "<string>",
"failureStep": "<string>"
}
],
"nonDocuments": [
{
"id": "<string>",
"contentType": "<string>",
"sizeBytes": "<string>",
"name": "<string>",
"originalUrl": "<string>",
"originalMd5": "<string>",
"bucketName": "<string>",
"objectKey": "<string>",
"fingerprintSha256": "aSDinaTvuI8gbWludGxpZnk="
}
],
"sourceJobApplicationId": "<string>",
"sourceEmailReceiptId": "<string>",
"crewProfileId": "<string>",
"filingState": "DOCUMENT_SET_FILING_STATE_UNSPECIFIED",
"filingComment": "<string>",
"sourceDocumentRequestId": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}GetDocumentSet
Get deep information of a single email receipt
Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
1
Define the timeout, in ms
1000
Body
request for getting an email receipt
id of the document set
Response
Success
response from getting the email receipt
id of the document set
time at which the document set was created
"2023-01-15T01:30:15.01Z"
the assembly from handling it on transloadit
possible error in handling the assembly on transloadit
summary of the document set
documents in a document set.
Show child attributes
Show child attributes
non-documents in the document set.
Show child attributes
Show child attributes
Optional ID of the source job application that created the document set
Optional ID of the source email receipt that created the document set
Optional ID of the crew profile with which the document set is filed
Filing state of the document set: UNFILED, FILED, or FILING_ERROR
DOCUMENT_SET_FILING_STATE_UNSPECIFIED, DOCUMENT_SET_FILING_STATE_UNFILED, DOCUMENT_SET_FILING_STATE_FILED, DOCUMENT_SET_FILING_STATE_FILING_ERROR Optional comment explaining why the document set was filed with a crew profile or why it failed
Optional ID of the source document request that created the document set